- entityDefinitions:
  - IDI_Task_EditReturnAttributeMethodBinding: '{f4b7c06a-14c0-4b69-bdd4-7f8e8f63a4d7}'

  - IDE_ReturnAttributeMethodBinding_Edit_Start: '{881d29c4-a66f-421f-b267-6c81a3bf7061}'
  - IDM_ReturnAttributeMethodBinding_Edit_Start: '{f6f9e3ff-0749-4492-8144-83f1f1e4910b}'

  - IDE_ReturnAttributeMethodBinding_Edit: '{f52c400c-0ee6-4c67-b556-803d01f10bec}'
  - IDM_ReturnAttributeMethodBinding_Edit: '{92d66fcb-e73b-4f09-913b-1d774193153c}'
  - IDMB_ReturnAttributeMethodBinding_Edit: '{93e03239-6881-405e-956e-e18edf1442fc}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_Task_EditReturnAttributeMethodBinding;'
    name: 'Edit Return Attribute Method Binding'
    initiatingElement: '&IDE_ReturnAttributeMethodBinding_Edit_Start;'
    taskCategory: '&IDI_TaskCategory_ReturnAttributeMethodBinding;'

  - controlTransactionMethod: '&IDM_ReturnAttributeMethodBinding_Edit_Start;'
    forClassId: '&IDC_ReturnAttributeMethodBinding;'
    verb: ''
    name: 'RAMB Edit Start'
    buildsResponseWithBRMB: '&IDE_ReturnAttributeMethodBinding_Edit;'

  - element: '&IDE_ReturnAttributeMethodBinding_Edit_Start;'
    name: 'Edit RAMB Start'
    processedByCTMethod: '&IDM_ReturnAttributeMethodBinding_Edit_Start;'
    elementContents:
    - globalIdentifier: '{f28ce6d3-c230-45e7-aba5-101e3be63a04}'
      defaultDataType: '&IDE_ReturnAttributeMethodBinding_Select;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
  
  - element: '&IDE_ReturnAttributeMethodBinding_Edit;'
    name: 'edit ramb'
    elementContents:
    - globalIdentifier: '{218eb7db-9a1b-41c6-93e1-80a8e12a6ec8}'
      defaultDataType: '&IDC_ReturnAttributeMethodBinding;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{014a2850-5846-4819-b882-b1e2b5041491}'
      defaultDataType: '&IDE_ReturnAttributeMethodBinding_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - buildUIResponseMethod: '&IDM_ReturnAttributeMethodBinding_Edit;'
    usesExecutableReturningElement: '&IDE_ReturnAttributeMethodBinding_Edit;'

  - buildResponseMethodBinding: '&IDMB_ReturnAttributeMethodBinding_Edit;'
    executesMethod: '&IDM_ReturnAttributeMethodBinding_Edit;'
